DataDrop
Sell

Vendor API

Generated from the vendor API's own description of itself.

Draft: not yet checked against the product

DataDrop vendor API, version 2.0.0.

listings

GET /v2/listings/{listing_id}/offers

List Vendor Listing Offers

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/sales

List Vendor Sales

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/listings/browse

Browse Listings

ParameterInTypeRequired
queryquerystring or nullno
tagsqueryarray of string or nullno
tag_slugsqueryarray of string or nullno
asset_typesqueryarray of string or nullno
ownedquerybooleanno
verified_onlyquerybooleanno
min_pricequerynumber or nullno
max_pricequerynumber or nullno
min_tasksqueryinteger or nullno
max_tasksqueryinteger or nullno
min_price_per_taskquerynumber or nullno
max_price_per_taskquerynumber or nullno
min_locqueryinteger or nullno
max_locqueryinteger or nullno
min_zip_filesqueryinteger or nullno
max_zip_filesqueryinteger or nullno
min_zip_size_gbquerynumber or nullno
max_zip_size_gbquerynumber or nullno
min_codebasesqueryinteger or nullno
max_codebasesqueryinteger or nullno
min_environmentsqueryinteger or nullno
max_environmentsqueryinteger or nullno
min_robotics_datasetsqueryinteger or nullno
max_robotics_datasetsqueryinteger or nullno
min_raw_dataqueryinteger or nullno
max_raw_dataqueryinteger or nullno
min_commitsqueryinteger or nullno
max_commitsqueryinteger or nullno
min_pull_requestsqueryinteger or nullno
max_pull_requestsqueryinteger or nullno
min_contributorsqueryinteger or nullno
max_contributorsqueryinteger or nullno
languagesqueryarray of string or nullno
rare_languages_onlyquerybooleanno
file_extensionsqueryarray of string or nullno
robotics_formatsqueryarray of string or nullno
capabilitiesqueryarray of string or nullno
orgquerystring or nullno
sortquerystringno
limitqueryintegerno
cursorquerystring or nullno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/browse/access

Get Browse Access

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/listings/browse/by-ids

Browse Listings By Ids

ParameterInTypeRequired
idsqueryarray of string (uuid) or nullno
sortquerystringno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/browse/{listing_id}

Browse Listing Detail

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/browse/{listing_id}/quality

Browse Listing Quality

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/browse/{listing_id}/tasksets/{taskset_id}

Browse Listing Taskset

ParameterInTypeRequired
listing_idpathstring (uuid)yes
taskset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/browse/{listing_id}/tasksets/{taskset_id}/tasks

Browse Listing Taskset Tasks

ParameterInTypeRequired
listing_idpathstring (uuid)yes
taskset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/qc-reports

List Vendor Qc Reports

ParameterInTypeRequired
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/{listing_id}/qc

Get Listing Qc Report

ParameterInTypeRequired
listing_idpathstring (uuid)yes
task_rowsquerystringno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/{listing_id}/assets

List Listing Assets

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/listings/{listing_id}/assets

Attach Listing Assets

ParameterInTypeRequired
listing_idpathstring (uuid)yes

Request body: application/json, ListingAssetsAttachRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/listings/{listing_id}/assets/{asset_id}

Detach Listing Asset

ParameterInTypeRequired
listing_idpathstring (uuid)yes
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PUT /v2/listings/{listing_id}/assets/{asset_id}/revision

Switch Listing Asset Revision

ParameterInTypeRequired
listing_idpathstring (uuid)yes
asset_idpathstring (uuid)yes

Request body: application/json, ListingAssetRevisionRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings

List Listings

ParameterInTypeRequired
workspace_viewquerystringno
lifecycle_stagesqueryarray of string or nullno
queryquerystring or nullno
tagsqueryarray of string or nullno
asset_typesqueryarray of string or nullno
verified_onlyquerybooleanno
min_pricequerynumber or nullno
max_pricequerynumber or nullno
has_pending_offersquerybooleanno
no_assetsquerybooleanno
min_tasksqueryinteger or nullno
max_tasksqueryinteger or nullno
min_locqueryinteger or nullno
max_locqueryinteger or nullno
min_zip_filesqueryinteger or nullno
max_zip_filesqueryinteger or nullno
min_zip_size_gbquerynumber or nullno
max_zip_size_gbquerynumber or nullno
min_commitsqueryinteger or nullno
max_commitsqueryinteger or nullno
min_pull_requestsqueryinteger or nullno
max_pull_requestsqueryinteger or nullno
min_merged_prsqueryinteger or nullno
max_merged_prsqueryinteger or nullno
min_contributorsqueryinteger or nullno
max_contributorsqueryinteger or nullno
min_source_filesqueryinteger or nullno
max_source_filesqueryinteger or nullno
min_test_filesqueryinteger or nullno
max_test_filesqueryinteger or nullno
sortquerystringno
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/listings

Create Listing

ParameterInTypeRequired
Idempotency-Keyheaderstring or nullno

Request body: application/json, ListingCreateRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/{listing_id}

Get Listing

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PATCH /v2/listings/{listing_id}

Update Listing

ParameterInTypeRequired
listing_idpathstring (uuid)yes

Request body: application/json, ListingUpdateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/listings/{listing_id}/history

Get Listing History

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/listings/{listing_id}/submit

Submit Listing

ParameterInTypeRequired
listing_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

wallet

GET /v2/wallet/earnings

List Earning Entries

ParameterInTypeRequired
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

tasks

POST /v2/tasks/import

Import Tasks

Request body: application/json, TaskAssetImportRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/tasks/refresh-qc

Read Task Qc Refresh

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

POST /v2/tasks/refresh-qc

Refresh Task Qc

StatusMeaning
202Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/tasks/qc-facets

Read Task Qc Facets

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/tasks/{asset_id}

Get Task Asset

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PATCH /v2/tasks/{asset_id}

Update Task Asset

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, TaskAssetUpdateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/tasks

List Task Assets

ParameterInTypeRequired
stagequerystring or nullno
idqueryarray of string (uuid) or nullno
group_idquerystring (uuid) or nullno
listing_idquerystring (uuid) or nullno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

codebases

GET /v2/codebases

List Codebases

ParameterInTypeRequired
stagequerystring or nullno
idqueryarray of string (uuid) or nullno
group_idquerystring (uuid) or nullno
listing_idquerystring (uuid) or nullno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/codebases

Create Codebase

Request body: application/json, CodebaseAssetCreateRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/codebases/batch

Create Codebases

Request body: application/json, CodebaseAssetBatchRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/codebases/languages

List Languages

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/codebases/{asset_id}

Get Codebase

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/codebases/{asset_id}

Delete Codebase

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PATCH /v2/codebases/{asset_id}

Update Codebase

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, CodebaseAssetUpdateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/codebases/{asset_id}/data

Not supported: an API key cannot use a person's code-host connection; attach a codebase's data in the web app.

Attach Codebase Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, AssetForgeDataRequest or AssetUploadDataRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/codebases/{asset_id}/data

Not supported: a revision is never detached: attach a new one.

Detach Codebase Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/codebases/{asset_id}/data/refetch

Not supported: an API key cannot use a person's code-host connection; attach a codebase's data in the web app.

Refetch Codebase Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
202Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/codebases/{asset_id}/data/structure

Get Codebase Data Structure

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/codebases/{asset_id}/qc/runs

Not supported: checks run when a listing is submitted.

Start Codebase Qc Run

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
202Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/codebases/{asset_id}/qc

Get Codebase Qc

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

assets

GET /v2/assets

List Assets

ParameterInTypeRequired
skuquerystring or nullno
deprecatedqueryboolean or nullno
stagequerystring or nullno
listing_idquerystring (uuid) or nullno
group_idquerystring (uuid) or nullno
idqueryarray of string (uuid) or nullno
limitqueryintegerno
offsetqueryintegerno
attach_toquerystring (uuid) or nullno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/assets/window

List Asset Window

ParameterInTypeRequired
skuquerystring or nullno
deprecatedqueryboolean or nullno
stagequerystring or nullno
listing_idquerystring (uuid) or nullno
leaf_budgetqueryintegerno
header_budgetqueryintegerno
after_group_idquerystring (uuid) or nullno
include_empty_groupsquerybooleanno
attach_toquerystring (uuid) or nullno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/assets/{asset_id}

Get Asset

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/assets/{asset_id}

Delete Asset

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/assets/{asset_id}/revisions

List Asset Revisions

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/assets/{asset_id}/data/structure

Get Legacy Asset Data Structure

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

asset-groups

GET /v2/asset-groups

List Groups

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

POST /v2/asset-groups

Create Group

Request body: application/json, AssetGroupCreateRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/asset-groups/{group_id}

Get Group

ParameterInTypeRequired
group_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/asset-groups/{group_id}

Delete Group

ParameterInTypeRequired
group_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PATCH /v2/asset-groups/{group_id}

Rename Group

ParameterInTypeRequired
group_idpathstring (uuid)yes

Request body: application/json, AssetGroupUpdateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PUT /v2/asset-groups/{group_id}/assets/{asset_id}

Move Asset To Group

ParameterInTypeRequired
group_idpathstring (uuid)yes
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

raw-data

GET /v2/raw-data

List Raw Data

ParameterInTypeRequired
stagequerystring or nullno
idqueryarray of string (uuid) or nullno
group_idquerystring (uuid) or nullno
listing_idquerystring (uuid) or nullno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
limitqueryintegerno
offsetqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data

Create Raw Data

Request body: application/json, RawDataAssetCreateRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/raw-data/sftp/open

List Open Sftp Uploads

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/raw-data/{asset_id}

Get Raw Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/raw-data/{asset_id}

Delete Raw Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

PATCH /v2/raw-data/{asset_id}

Update Raw Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawDataAssetUpdateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data/{asset_id}/data

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Attach Raw Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, AssetUploadDataRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/raw-data/{asset_id}/data

Not supported: a revision is never detached: attach a new one.

Detach Raw Data

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/raw-data/{asset_id}/data/structure

Get Raw Data Structure

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data/{asset_id}/qc/runs

Not supported: checks run when a listing is submitted.

Start Raw Data Qc Run

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
202Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/raw-data/{asset_id}/qc

Get Raw Data Qc

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data/{asset_id}/files/reserve

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Reserve Raw Files

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawFilesReserveRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
408Request Timeout
413Request Entity Too Large

POST /v2/raw-data/{asset_id}/files/parts

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Presign Raw File Parts

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawFilePartsRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
408Request Timeout
413Request Entity Too Large

POST /v2/raw-data/{asset_id}/files/parts/uploaded

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

List Raw File Uploaded Parts

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawFileUploadedPartsRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
408Request Timeout
413Request Entity Too Large

POST /v2/raw-data/{asset_id}/files/assemble

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Assemble Raw File

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawFileAssembleRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
408Request Timeout
413Request Entity Too Large

GET /v2/raw-data/{asset_id}/files/status

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Raw Files Status

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/raw-data/{asset_id}/sftp

Get Raw Data Sftp Login

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data/{asset_id}/sftp

Issue Raw Data Sftp Login

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/raw-data/{asset_id}/sftp

Revoke Raw Data Sftp Login

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/raw-data/{asset_id}/files/finish

Finish Raw Files

ParameterInTypeRequired
asset_idpathstring (uuid)yes
drop_cut_offquerybooleanno
keep_unconfirmedquerybooleanno
StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
204Finished: the worker checks the upload, then its revision is attached

POST /v2/raw-data/{asset_id}/files/complete

Not supported: raw data comes through an upload (POST /v2/organizations/{org_id}/uploads) or SFTP.

Complete Raw Files

ParameterInTypeRequired
asset_idpathstring (uuid)yes

Request body: application/json, RawFilesCompleteRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
408Request Timeout
413Request Entity Too Large

asset-types

GET /v2/asset-types

List Asset Types

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

GET /v2/asset-types/{slug}

Get Asset Type

ParameterInTypeRequired
slugpathstringyes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

domains

GET /v2/domains

List Domains

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

content-tags

GET /v2/content-tags

List Content Tags

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

inventory-tags

GET /v2/inventory-tags

List Inventory Tags

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.

project-opportunities

GET /v2/project-opportunities/bids/mine

Retired: DataDrop has no project opportunities: the list is always empty and every id is not found.

List My Bids

ParameterInTypeRequired
offsetqueryintegerno
limitqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/project-opportunities/{opportunity_id}

Retired: DataDrop has no project opportunities: the list is always empty and every id is not found.

Get Project Opportunity

ParameterInTypeRequired
opportunity_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

notifications

GET /v2/vendor/notifications

List Notifications

ParameterInTypeRequired
viewqueryNotificationViewno
limitqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

vendor

POST /v2/vendor/uploads/grants/{token}

Not supported: files are sent through an upload link instead: each file declared with its SHA-256 (POST /v2/upload-links/{token}), its parts sent through the API.

Reserve Upload Grant

ParameterInTypeRequired
tokenpathstringyes

Request body: application/json, StagedUploadCreateRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
410Gone

POST /v2/vendor/uploads/grants/{token}/parts

Not supported: files are sent through an upload link instead: each file declared with its SHA-256 (POST /v2/upload-links/{token}), its parts sent through the API.

Presign Upload Grant Parts

ParameterInTypeRequired
tokenpathstringyes

Request body: application/json, StagedUploadPartsRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
410Gone

POST /v2/vendor/uploads/grants/{token}/complete

Not supported: files are sent through an upload link instead: each file declared with its SHA-256 (POST /v2/upload-links/{token}), its parts sent through the API.

Complete Upload Grant

ParameterInTypeRequired
tokenpathstringyes

Request body: application/json, StagedUploadCompleteRequest.

StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity
410Gone

POST /v2/vendor/connectors/{provider}/imports

Retired: the Jira and Confluence connectors are not available on DataDrop: an import or an attach is refused naming this, and a detach is not found.

Create Import

ParameterInTypeRequired
providerpathstringyes

Request body: application/json, ConnectorImportRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/vendor/connectors/{provider}/assets/{asset_id}/data

Retired: the Jira and Confluence connectors are not available on DataDrop: an import or an attach is refused naming this, and a detach is not found.

Attach Connector Data

ParameterInTypeRequired
providerpathstringyes
asset_idpathstring (uuid)yes

Request body: application/json, AssetConnectorDataRequest or AssetUploadDataRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

DELETE /v2/vendor/connectors/{provider}/assets/{asset_id}/data

Retired: the Jira and Confluence connectors are not available on DataDrop: an import or an attach is refused naming this, and a detach is not found.

Detach Connector Data

ParameterInTypeRequired
providerpathstringyes
asset_idpathstring (uuid)yes
StatusMeaning
204Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

estimations

GET /v2/estimations

List Estimations

ParameterInTypeRequired
limitqueryintegerno
offsetqueryintegerno
filterqueryarray of string or nullno
sortquerystring or nullno
sort_directionquerystringno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/estimations

Not supported: an API key cannot use a person's code-host connection; estimate a connected repository in the web app, or an asset you have added by its id (POST /v2/estimations/assets/{asset_id}).

Create Estimations

Request body: application/json, EstimationCreateRequest.

StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

POST /v2/estimations/assets/{asset_id}

Estimate Asset

ParameterInTypeRequired
asset_idpathstring (uuid)yes
StatusMeaning
201Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/estimations/summary

Estimation Summary

ParameterInTypeRequired
filterqueryarray of string or nullno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/estimations/latest

Latest Asset Estimations

ParameterInTypeRequired
asset_idqueryarray of string (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/estimations/{estimation_id}

Get Estimation

ParameterInTypeRequired
estimation_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

opportunities

GET /v2/opportunities

List Opportunities

ParameterInTypeRequired
queryquerystring or nullno
tagsqueryarray of string or nullno
asset_typesqueryarray of string or nullno
max_budgetquerynumber or nullno
budget_unitquerystring or nullno
sortquerystringno
offsetqueryintegerno
limitqueryintegerno
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

GET /v2/opportunities/{opportunity_id}

Get Opportunity

ParameterInTypeRequired
opportunity_idpathstring (uuid)yes
StatusMeaning
200Successful Response
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
503Service Unavailable. When the service is busy: the detail "The service is busy: nothing was changed. Try again in a few seconds." and a `Retry-After` header in seconds; send the same request again. This shape has no `reason` field: busy is told from another 503 by that detail.
422Unprocessable Entity

Not available yet

GET /v2/wallet

Not available yet: arrives with Ember Data's credit balance.

On this page

listingsGET /v2/listings/{listing_id}/offersGET /v2/listings/salesGET /v2/listings/browseGET /v2/listings/browse/accessGET /v2/listings/browse/by-idsGET /v2/listings/browse/{listing_id}GET /v2/listings/browse/{listing_id}/qualityGET /v2/listings/browse/{listing_id}/tasksets/{taskset_id}GET /v2/listings/browse/{listing_id}/tasksets/{taskset_id}/tasksGET /v2/listings/qc-reportsGET /v2/listings/{listing_id}/qcGET /v2/listings/{listing_id}/assetsPOST /v2/listings/{listing_id}/assetsDELETE /v2/listings/{listing_id}/assets/{asset_id}PUT /v2/listings/{listing_id}/assets/{asset_id}/revisionGET /v2/listingsPOST /v2/listingsGET /v2/listings/{listing_id}PATCH /v2/listings/{listing_id}GET /v2/listings/{listing_id}/historyPOST /v2/listings/{listing_id}/submitwalletGET /v2/wallet/earningstasksPOST /v2/tasks/importGET /v2/tasks/refresh-qcPOST /v2/tasks/refresh-qcGET /v2/tasks/qc-facetsGET /v2/tasks/{asset_id}PATCH /v2/tasks/{asset_id}GET /v2/taskscodebasesGET /v2/codebasesPOST /v2/codebasesPOST /v2/codebases/batchGET /v2/codebases/languagesGET /v2/codebases/{asset_id}DELETE /v2/codebases/{asset_id}PATCH /v2/codebases/{asset_id}POST /v2/codebases/{asset_id}/dataDELETE /v2/codebases/{asset_id}/dataPOST /v2/codebases/{asset_id}/data/refetchGET /v2/codebases/{asset_id}/data/structurePOST /v2/codebases/{asset_id}/qc/runsGET /v2/codebases/{asset_id}/qcassetsGET /v2/assetsGET /v2/assets/windowGET /v2/assets/{asset_id}DELETE /v2/assets/{asset_id}GET /v2/assets/{asset_id}/revisionsGET /v2/assets/{asset_id}/data/structureasset-groupsGET /v2/asset-groupsPOST /v2/asset-groupsGET /v2/asset-groups/{group_id}DELETE /v2/asset-groups/{group_id}PATCH /v2/asset-groups/{group_id}PUT /v2/asset-groups/{group_id}/assets/{asset_id}raw-dataGET /v2/raw-dataPOST /v2/raw-dataGET /v2/raw-data/sftp/openGET /v2/raw-data/{asset_id}DELETE /v2/raw-data/{asset_id}PATCH /v2/raw-data/{asset_id}POST /v2/raw-data/{asset_id}/dataDELETE /v2/raw-data/{asset_id}/dataGET /v2/raw-data/{asset_id}/data/structurePOST /v2/raw-data/{asset_id}/qc/runsGET /v2/raw-data/{asset_id}/qcPOST /v2/raw-data/{asset_id}/files/reservePOST /v2/raw-data/{asset_id}/files/partsPOST /v2/raw-data/{asset_id}/files/parts/uploadedPOST /v2/raw-data/{asset_id}/files/assembleGET /v2/raw-data/{asset_id}/files/statusGET /v2/raw-data/{asset_id}/sftpPOST /v2/raw-data/{asset_id}/sftpDELETE /v2/raw-data/{asset_id}/sftpPOST /v2/raw-data/{asset_id}/files/finishPOST /v2/raw-data/{asset_id}/files/completeasset-typesGET /v2/asset-typesGET /v2/asset-types/{slug}domainsGET /v2/domainscontent-tagsGET /v2/content-tagsinventory-tagsGET /v2/inventory-tagsproject-opportunitiesGET /v2/project-opportunities/bids/mineGET /v2/project-opportunities/{opportunity_id}notificationsGET /v2/vendor/notificationsvendorPOST /v2/vendor/uploads/grants/{token}POST /v2/vendor/uploads/grants/{token}/partsPOST /v2/vendor/uploads/grants/{token}/completePOST /v2/vendor/connectors/{provider}/importsPOST /v2/vendor/connectors/{provider}/assets/{asset_id}/dataDELETE /v2/vendor/connectors/{provider}/assets/{asset_id}/dataestimationsGET /v2/estimationsPOST /v2/estimationsPOST /v2/estimations/assets/{asset_id}GET /v2/estimations/summaryGET /v2/estimations/latestGET /v2/estimations/{estimation_id}opportunitiesGET /v2/opportunitiesGET /v2/opportunities/{opportunity_id}Not available yetGET /v2/wallet